Upstream information

CVE-2018-1059 at MITRE

Description

The DPDK vhost-user interface does not check to verify that all the requested guest physical range is mapped and contiguous when performing Guest Physical Addresses to Host Virtual Addresses translations. This may lead to a malicious guest exposing vhost-user backend process memory. All versions before 18.02.1 are vulnerable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.9
Vector AV:A/AC:M/Au:N/C:P/I:N/A:N
Access Vector Adjacent Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.1
Vector AV:A/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N
Access Vector Adjacent Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Changed
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 1089638 [RESOLVED / FIXED], 1090647 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • dpdk >= 17.11.2-1.27
  • dpdk-devel >= 17.11.2-1.27
  • dpdk-kmp-default >= 17.11.2_k4.12.14_23-1.27
  • dpdk-tools >= 17.11.2-1.27
  • libdpdk-17_11-0 >= 17.11.2-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA dpdk
SUSE Linux Enterprise Server 12 SP3
  • dpdk >= 16.11.6-8.4.2
  • dpdk-kmp-default >= 16.11.6_k4.4.126_94.22-8.4.2
  • dpdk-thunderx >= 16.11.6-8.4.2
  • dpdk-thunderx-kmp-default >= 16.11.6_k4.4.126_94.22-8.4.2
  • dpdk-tools >= 16.11.6-8.4.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1017
SUSE Linux Enterprise Software Development Kit 12 SP3
  • dpdk >= 16.11.6-8.4.2
  • dpdk-devel >= 16.11.6-8.4.2
  • dpdk-thunderx >= 16.11.6-8.4.2
  • dpdk-thunderx-devel >= 16.11.6-8.4.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1017
openSUSE Leap 42.3
  • dpdk >= 16.11.6-6.5.1
  • dpdk-debuginfo >= 16.11.6-6.5.1
  • dpdk-debugsource >= 16.11.6-6.5.1
  • dpdk-devel >= 16.11.6-6.5.1
  • dpdk-devel-debuginfo >= 16.11.6-6.5.1
  • dpdk-doc >= 16.11.6-6.5.1
  • dpdk-examples >= 16.11.6-6.5.1
  • dpdk-examples-debuginfo >= 16.11.6-6.5.1
  • dpdk-kmp-default >= 16.11.6_k4.4.132_53-6.5.1
  • dpdk-kmp-default-debuginfo >= 16.11.6_k4.4.132_53-6.5.1
  • dpdk-tools >= 16.11.6-6.5.1
Patchnames:
openSUSE-2018-558


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 12 SP2 dpdk Unsupported
SUSE Linux Enterprise SDK 12 SP3 dpdk Released
SUSE Linux Enterprise Server 12 SP2 dpdk Unsupported
SUSE Linux Enterprise Server 12 SP3 dpdk Released